﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using Telerik.Web.UI;

public partial class ContextMenu : System.Web.UI.Page
{
    private const string ProviderSessionKey = "SchedulerContextMenuCSharp";

    XmlSchedulerProvider Provider
    {
        get
        {
            XmlSchedulerProvider provider = (XmlSchedulerProvider)Session[ProviderSessionKey];
            if (Session[ProviderSessionKey] == null || !IsPostBack)
            {
                provider = new XmlSchedulerProvider(Server.MapPath("~/App_Data/Appointments.xml"), true);
                Session[ProviderSessionKey] = provider;
            }

            return provider;
        }
    }

    private void Page_Init(object sender, EventArgs e)
    {
        RadScheduler1.Provider = Provider;
    }

    private void Page_Load(object sender, EventArgs e)
    {
        RadScheduler1.SelectedDate = DateTime.Now;
        RadScheduler1.SelectedView = SchedulerViewType.MonthView;
    }
}
